SRC/slacpy.f(3)

NAME
SRC/slacpy.f

SYNOPSIS

  Functions/Subroutines
subroutine slacpy (uplo, m, n, a, lda, b, ldb)
SLACPY copies all or part of one two-dimensional array to another.

Function/Subroutine Documentation

  subroutine slacpy (character uplo, integer m, integer n, real, dimension( lda, * ) a, integer lda, real, dimension( ldb, * ) b, integer ldb)

SLACPY copies all or part of one two-dimensional array to another.

Purpose:

    !>
    !> SLACPY copies all or part of a two-dimensional matrix A to another
    !> matrix B.
    !>

Parameters
    UPLO

    !>          UPLO is CHARACTER*1
    !>          Specifies the part of the matrix A to be copied to B.
    !>          = 'U':      Upper triangular part
    !>          = 'L':      Lower triangular part
    !>          Otherwise:  All of the matrix A
    !>

    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A.  M >= 0.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix A.  N >= 0.
    !>

    A

    !>          A is REAL array, dimension (LDA,N)
    !>          The m by n matrix A.  If UPLO = 'U', only the upper triangle
    !>          or trapezoid is accessed; if UPLO = 'L', only the lower
    !>          triangle or trapezoid is accessed.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A.  LDA >= max(1,M).
    !>

    B

    !>          B is REAL array, dimension (LDB,N)
    !>          On exit, B = A in the locations specified by UPLO.
    !>

    LDB

    !>          LDB is INTEGER
    !>          The leading dimension of the array B.  LDB >= max(1,M).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 102 of file slacpy.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.